List collection delivery batches
GET
/v1/collection-delivery-batchescurl -X GET 'https://api.embodiflow.io/v1/collection-delivery-batches' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
查询参数
- pageSizenumber
Page size. Default 25, maximum 100. Values above the maximum are refused.
- pageTokenstring
Opaque page token from the previous response's `nextPageToken`.
- projectIdstring (uuid)
- collectionOrderIdstring (uuid)
- statusstring可选值draftuploadingsubmittedunder_reviewacceptedpartially_acceptedrejectedcancelled
响应
Success
- dataarray<CollectionDeliveryBatchDto>必填
- idstring必填
- tenantIdstring必填
- projectIdstring必填
- collectionOrderIdstring必填
- supplierProjectMembershipIdstring必填
- deliveryNumberstring必填
- statusstring必填
- attemptGroupKeystring必填
- attemptNumbernumber必填
- supersedesDeliveryBatchIdstring | null必填
- reviewTaskIdstring | null必填
- sourceMetadataobject | null必填
- declaredContentobject | null必填
- machineVerdictobject必填
- acceptanceDecisionobject必填
- linkedUploadBatchIdsarray<string>必填
- attemptCountnumber必填
- outstandingReworkCountnumber必填
- outstandingReworkarray<CollectionDeliveryOutstandingReworkDto>必填
- createdAtstring必填
- updatedAtstring必填
- rowVersionnumber必填
- metaobject必填
- pageSizenumber必填
- requestIdstring
- nextPageTokenstring
Opaque AIP-158 page token. Omitted when the collection is exhausted.
响应示例
{
"data": [
{
"id": "string",
"tenantId": "string",
"projectId": "string",
"collectionOrderId": "string",
"supplierProjectMembershipId": "string",
"deliveryNumber": "string",
"status": "string",
"attemptGroupKey": "string",
"attemptNumber": 0,
"supersedesDeliveryBatchId": "string",
"reviewTaskId": "string",
"sourceMetadata": {},
"declaredContent": {},
"machineVerdict": {
"contractVersion": "embodiflow-collection-delivery/v1",
"criteriaId": "embodiflow-collection-delivery/v1",
"criteriaVersion": 0,
"criteriaHash": "string",
"generatedAt": "string",
"sourceWorkflowRunId": "string",
"sourceDatasetVersionId": "string",
"overall": "error",
"quality": {
"status": "warn",
"blockingFailCount": 0,
"summaries": [
{}
]
},
"alignment": {
"status": "warn",
"checkIds": [
"string"
]
},
"composition": {
"status": "warn",
"profileId": "string",
"inputDigest": "string"
}
},
"acceptanceDecision": {
"contractVersion": "embodiflow-collection-delivery/v1",
"reviewTaskId": "string",
"reviewerProjectMembershipId": "string",
"decision": "approve",
"batchStatus": "accepted",
"comment": "string",
"waiverReason": "string",
"acceptedItemIds": [
"string"
],
"rejectedItemIds": [
"string"
],
"rejectedQueryDescriptors": [
"string"
],
"criteriaHash": "string",
"criteriaVersion": 0,
"machineOverall": "error"
},
"linkedUploadBatchIds": [
"string"
],
"attemptCount": 0,
"outstandingReworkCount": 0,
"outstandingRework": [
{
"repairTaskId": "string",
"sourceId": "string",
"status": "string",
"severity": "string"
}
],
"createdAt": "string",
"updatedAt": "string",
"rowVersion": 0
}
],
"meta": {
"pageSize": 0,
"requestId": "string"
},
"nextPageToken": "string"
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1